KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Reconstruit le cache de configuration du système

SYNOPSIS

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRIPTION

kbuildsycoca4, en tant qu'outil en ligne de commande de KDE assure le bon fonctionnement de KDE en lisant tous les fichiers .desktop, .xml et .protocol pour construire une base de données binaire.

KDE lui-meme accède à cette base de données durant son fonctionnement pour fournir les informations dont un programme à besoin pour fonctionner.

Cet outil fait partie de ksyscoca, qui signifie KDE System Configuration Cache (cache de la configuration du système de KDE).

OPTIONS

--nosignal
    N'envoie pas de signal aux applications

--noincremental
    Désactive la mise à jour incrémentale, relit tout.

--checkstamps
    Vérifie les dates des fichiers

--nocheckfiles
    Désactive la vérification des fichiers (dangereux)

--global
    Crée une base de données globale

--menutest
    N'effectue qu'un test de génération des menus

--track menu-id
    Tracer l'identifiant de menu afin de faciliter le débogage

--help
    Affiche l'aide sur les options

--help-qt
    Affiche les options spécifiques à Qt

--help-kde
    Affiche les options spécifiques à KDE

--help-all
    Affiche toutes les options

--author
    Affiche des informations sur l'auteur

-v , --version
    Affiche des informations sur la version

--license
    Affiche des informations sur la licence

UTILISATION

Une manière standard de lancer ce programme est de spécifier la commande suivante sur un prompt kbuildsycoca4

FICHIERS

/var/tmp/kde-$USER/ksycoca4
    Le dossier par défaut où les fichiers du cache sont stockés.

VARIABLES DENVIRONNEMENT

$KDEDIRS
    Spécifie quels dossiers font partie de l'installation KDE

$KDESYCOCA
    Spécifie le chemin vers le fichier base de données sycoca

VOIR AUSSI

kdeinit4

BOGUES

Il y a probablement un tas de bogues. Utilisez bugs.kde.org[1] pour signaler les signaler.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org